Issue with installation on Ubuntu 20.04.4

tried to install new relic on Ubuntu.04.4 LTS with those instructions: Install the infrastructure monitoring agent for Linux | New Relic Documentation
but for some reason having same error again and again:
E: Malformed line 2 in source list /etc/apt/sources.list.d/newrelic-infra.list (type)
E: The list of sources could not be read.

inside /etc/apt/sources.list.d/newrelic-infra.list there are rows:

deb
https://download.newrelic.com/infrastructure_agent/linux/apt
focal main

So, what am I doing wrong ? plz, help :’)

Hey @viorika.andrijes,

Thanks for writing in!

Could you confirm which step you are facing trouble with in that documentation you shared?

Also, you have tried the Guided Install method. This should automatically detect the correct OS version.

Let me know on the above.

Cheers!

Hello and thank you for your reply, @emurphy!
I have difficulties with step number 5. Refresh the repositories, here is a link to the screenshot: https://flic.kr/ps/3YW1Eb
thanks in advance!:slight_smile:
-Vio

@viorika.andrijes :wave: It looks like there might be an error in the command that you’re using to add the Infrastructure Agent’s repository. The command from the screenshot does not look correct. there is a typo def instead of deb.

The command that you’ll want to use is:

printf "deb https://download.newrelic.com/infrastructure_agent/linux/apt focal main" | sudo tee -a /etc/apt/sources.list.d/newrelic-infra.list

Hope this helps!